%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           python-netaddr
Version:        0.6.3
Release:        1%{?dist}
Summary:        Network address manipulation, done Pythonically

Group:          Development/Libraries
License:        BSD
URL:            http://code.google.com/p/netaddr/
Source0:        http://netaddr.googlecode.com/files/netaddr-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python-devel, python-setuptools, dos2unix

%description
netaddr is a network address manipulation library written in pure Python.

It supports the Pythonic manipulation of several common network address
notations and standards, including :-

- IP version 4
- IP version 6
- CIDR (Classless Inter-Domain Routing)
- IEEE EUI-48 and EUI-64
- MAC (Media Access Control)

%prep
%setup -q -n netaddr-%{version}
chmod 644 tests/*


%build
%{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT
dos2unix $RPM_BUILD_ROOT%{python_sitelib}/netaddr/core.py
dos2unix $RPM_BUILD_ROOT%{python_sitelib}/netaddr/ip/__init__.py


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(0644,root,root,0755)
%doc GLOSSARY INSTALL LICENSE PKG-INFO README docs/api/ tests
%{python_sitelib}/*
#These libraries have shebangs thus should be +x
%attr(0755,root,root) %{python_sitelib}/netaddr/core.py
%attr(0755,root,root) %{python_sitelib}/netaddr/eui/__init__.py
%attr(0755,root,root) %{python_sitelib}/netaddr/strategy.py
%attr(0755,root,root) %{python_sitelib}/netaddr/address.py
%attr(0755,root,root) %{python_sitelib}/netaddr/ip/__init__.py
%attr(0755,root,root) %{python_sitelib}/netaddr/__init__.py
%attr(0755,root,root) %{python_sitelib}/netaddr/fallback.py
%attr(0755,root,root) %{python_sitelib}/netaddr/util.py


%changelog
* Tue Jun 23 2009 John Eckersberg <jeckersb@redhat.com> - 0.6.3-1
- New upstream bugfix release

* Mon Apr 13 2009 John Eckersberg <jeckersb@redhat.com> - 0.6.2-1
- New upstream bugfix release

* Tue Apr 7 2009 John Eckersberg <jeckersb@redhat.com> - 0.6.1-1
- New upstream bugfix release

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Feb 18 2009 John Eckersberg <jeckersb@redhat.com> - 0.6-2
- Add BuildDepends on dos2unix to clean up some upstream sources

* Wed Feb 18 2009 John Eckersberg <jeckersb@redhat.com> - 0.6-1
- New upstream version

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.5.2-2
- Rebuild for Python 2.6

* Fri Oct 10 2008 John Eckersberg <jeckersb@redhat.com> - 0.5.2-1
- New upstream version, bug fixes for 0.5.1

* Tue Sep 23 2008 John Eckersberg <jeckersb@redhat.com> - 0.5.1-1
- New upstream version, bug fixes for 0.5

* Sun Sep 21 2008 John Eckersberg <jeckersb@redhat.com> - 0.5-1
- New upstream version

* Mon Aug 11 2008 John Eckersberg <jeckersb@redhat.com> - 0.4-1
- Initial packaging for Fedora

